## org.codehaus.groovy.grails.plugins.scaffolding
Class ScaffoldingGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.scaffolding.ScaffoldingGrailsPlugin

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class ScaffoldingGrailsPlugin

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`ScaffoldingGrailsPlugin()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `getDependsOn()`
`Object` `getDoWithApplicationContext()`
`Object` `getDoWithSpring()`
`Object` `getLoadAfter()`
`static Object` `getLOG()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getObserve()`
`Object` `getOnChange()`
`Object` `getProperty(String property)`
`Object` `getVersion()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setDependsOn(Object value)`
`void` `setDoWithApplicationContext(Object value)`
`void` `setDoWithSpring(Object value)`
`void` `setLoadAfter(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setObserve(Object value)`
`void` `setOnChange(Object value)`
`void` `setProperty(String property, Object value)`
`void` `setVersion(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScaffoldingGrailsPlugin

    public ScaffoldingGrailsPlugin()

Method Detail

### getLOG

    public static Object getLOG()

### getVersion

    public Object getVersion()

### setVersion

    public void setVersion(Object value)

### getDependsOn

    public Object getDependsOn()

### setDependsOn

    public void setDependsOn(Object value)

### getObserve

    public Object getObserve()

### setObserve

    public void setObserve(Object value)

### getLoadAfter

    public Object getLoadAfter()

### setLoadAfter

    public void setLoadAfter(Object value)

### getDoWithSpring

    public Object getDoWithSpring()

### setDoWithSpring

    public void setDoWithSpring(Object value)

### getDoWithApplicationContext

    public Object getDoWithApplicationContext()

### setDoWithApplicationContext

    public void setDoWithApplicationContext(Object value)

### getOnChange

    public Object getOnChange()

### setOnChange

    public void setOnChange(Object value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project